Bug 12059 - Publisher code always empty on invoice
Summary: Publisher code always empty on invoice
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.16
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL: cgi-bin/koha/acqui/invoice.pl?invoice...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-09 16:50 UTC by Katrin Fischer
Modified: 2016-06-21 21:36 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12059: Publisher column on invoice page always empty (4.70 KB, patch)
2014-11-10 09:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12059: Publisher column on invoice page always empty (4.87 KB, patch)
2014-12-03 11:03 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 12059: Publisher column on invoice page always empty (4.81 KB, patch)
2014-12-04 15:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12059: Prefer to list fields in the query (1.09 KB, patch)
2014-12-04 15:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-04-09 16:50:48 UTC
The invoice has a column labelled 'Publisher' that always appears to be empty. I checked that the title I tested with had 260$a$b$c and biblioitems.publishercode in the database had a value. 

Note: Also the library column there seems to have no function?
Comment 1 Katrin Fischer 2014-11-10 09:00:44 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2014-11-10 09:02:56 UTC
There are tests for GetInvoiceDetails in t/Aquisisions... and t/db_dependent/... - I am not sure if more testing is needed for the new table and how the test should look like. Leaving the patch here as I don't know when I can get back to it.
Comment 3 Paola Rossi 2014-12-03 11:03:56 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2014-12-04 15:06:37 UTC
Created attachment 34126 [details] [review]
Bug 12059: Publisher column on invoice page always empty

This patch moves the publisher information out of its own
always empty column into the Summary column below the title,
as it is on other acq pages.

The information was never displaying, as publishercode is in
biblioitems and that table was not selected by GetInvoiceDetails.

Also modified the code to take into account that UNIMARC uses
biblioitems.publicationyear and MARC21/NORMARC use bibio.copyrightdate
for the copyright year.

To test:
- create an invoice for records that
  - have a publication year
  - have no publication year
  - have a publisher...
- 'finish receiving' and check the invoice summary page
   ...acqui/invoice.pl?invoiceid=?
- Make sure all the information displays now but didn't witout the patch.

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jonathan Druart 2014-12-04 15:06:46 UTC
Created attachment 34127 [details] [review]
Bug 12059: Prefer to list fields in the query

To avoir further issue, it's better to explicitely list the fields we
want to retrieve.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Tomás Cohen Arazi 2014-12-17 23:23:40 UTC
Patches pushed to master.

Thanks Katrina and Jonathan!
Comment 7 Chris Cormack 2014-12-18 04:44:59 UTC
Template changes, holding for 3.18.3
Comment 8 Chris Cormack 2014-12-23 07:15:59 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 9 Mason James 2015-01-16 18:28:37 UTC
Template changes, holding for 3.16.8
Comment 10 Mason James 2015-01-18 00:31:21 UTC
Pushed to 3.16.x, will be in 3.16.7